summaryrefslogtreecommitdiff
path: root/dev-python/IPy
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-02 13:10:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-02 13:10:15 +0000
commitae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c (patch)
tree2e4341b963692ea564ffe8984842ca471e010a6f /dev-python/IPy
parent4b562e795234dd4616d1b74e4bc5bd42fc57ddb6 (diff)
downloadbaldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.tar.gz
baldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.tar.xz
baldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.zip
Adding metadata
Diffstat (limited to 'dev-python/IPy')
-rw-r--r--dev-python/IPy/IPy-1.01-r1.ebuild36
-rw-r--r--dev-python/IPy/Manifest1
-rw-r--r--dev-python/IPy/metadata.xml11
3 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/IPy/IPy-1.01-r1.ebuild b/dev-python/IPy/IPy-1.01-r1.ebuild
new file mode 100644
index 000000000000..cf3f95a05103
--- /dev/null
+++ b/dev-python/IPy/IPy-1.01-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Class and tools for handling of IPv4 and IPv6 addresses and networks"
+HOMEPAGE="
+ https://github.com/autocracy/python-ipy/
+ https://pypi.org/project/IPy/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc x86"
+IUSE="examples"
+
+python_test() {
+ "${EPYTHON}" test/test_IPy.py || die "Tests fail with ${EPYTHON}"
+ "${EPYTHON}" test_doc.py || die "Doctests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r example/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/IPy/Manifest b/dev-python/IPy/Manifest
new file mode 100644
index 000000000000..23bdf7c8ec7f
--- /dev/null
+++ b/dev-python/IPy/Manifest
@@ -0,0 +1 @@
+DIST IPy-1.01.tar.gz 33641 BLAKE2B 10d5ac5c3df00a562393ee762e9ad0f458ecf4745f894ab23e686b7112842adcbb3f25064c0010630745273fa72280ba5ef92a951d687d0f46f341acd6c041ad SHA512 f0983254523025a1819d543877d9651fb6a9e39dabd3b043488495f681b02e43b544a0121658a0430a418a1c39b360a59db1699af87a75a16a2bdc29fcb2b74c
diff --git a/dev-python/IPy/metadata.xml b/dev-python/IPy/metadata.xml
new file mode 100644
index 000000000000..ea8988e8af6a
--- /dev/null
+++ b/dev-python/IPy/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file